Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Firefox benutzt nicht das gesetzte GTK-Theme
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2329
Location: Konradsreuth (Germany)

PostPosted: Mon Dec 28, 2009 12:00 pm    Post subject: Firefox benutzt nicht das gesetzte GTK-Theme Reply with quote

Hallo :-)

Wenn ich Firefox starte, benutzt die Anwendung das (fürchterliche) Standard-GTK-Aussehen, im Gegensatz zu allen anderen GTK-Anwendungen, die nehmen brav qtcurve (z. B. GIMP).

Auf der Konsole schreibt Firefox
Code:
(firefox-bin:29555): Gtk-WARNING **: Im Modulpfad »qtcurve« konnte keine Themen-Engine gefunden werden,

qtcurve habe ich mit USE="firefox3" gebaut.

Was ist das los?! Auf meinem EEE PC (selbes Setup, KDE 4, etc. …) funktioniert's …
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2329
Location: Konradsreuth (Germany)

PostPosted: Tue Dec 29, 2009 4:59 pm    Post subject: Reply with quote

Okay, also sollte das hier jemanden interessieren: Firefox sucht in /usr/lib32/gtk-2.0/2.10.0/engines/ nach der entsprechenden GTK-Engine. qtcurve installiert nach /usr/lib64/gtk-2.0/2.10.0/engines/ und /usr/lib/gtk-2.0/2.10.0/engines/. Nach /usr/lib32/gtk-2.0/2.10.0/engines/ zu verlinken bringt aber auch nichts, da gibt's ne Fehlermeldung.
Code:
(firefox-bin:10280): Gtk-WARNING **: /usr/lib32/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64

Wählt man eine andere GTK-Engine (die entsprechend auch in /usr/lib32/gtk-2.0/2.10.0/engines/ vertreten ist), dann geht's.

Sollte man diesbezüglich nen Bugreport schreiben?
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Tue Dec 29, 2009 5:06 pm    Post subject: Reply with quote

oder statt mozilla-firefox-bin (nur 32Bit, offiziell gibt es kein 64Bit build) mozilla-firefox installieren, dann hast du auch ein 64Bit build.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2329
Location: Konradsreuth (Germany)

PostPosted: Tue Dec 29, 2009 7:51 pm    Post subject: Reply with quote

Prompt über https://bugs.gentoo.org/show_bug.cgi?id=292256 gestolpert … naja, läuft aber. Das nenn ich mal zeitgemäß, daß Mozilla keine offiziellen 64-Bit-Builds anbietet. Wirklich schade, daß man nicht drumrumkommt, Firefox installiert zu haben, für alle Seiten, die partout nicht im Konqueror oder mit Opera gehen wollen. Der neue Internet Explorer. Aber naja, das ist ein anderes Thema ;-)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum